*{
    margin: 0;
    padding: 0;
    cursor: default;
}

body{
    height: max-content;
    background-color: white;
    font-family: 'Times New Roman', Times, serif;
    overflow-x: hidden;
}


/* ================= BUTTON ANIMATION ================= */

.buttonAnim:active {
    animation: click 0.1s linear forwards;
}

@keyframes click {
    0% { transform: scale(0.9); }
    100% { transform: scale(1); }
}

.buttonAnim:hover {
    background-color: #222;
    color: white;
    transform: scale(1.05);
}


/* ================= HEADER ================= */

header {
    height: max-content;
    background: url("images/_Luxe Living_.jpg");
    background-size: cover;
    background-position: center;
    display: flex;
    flex-direction: column;
    gap: 40px;
    align-items: center;
}


/* ================= NAV ================= */

header nav {
    height: 10%;
    width: 95%;
    background: transparent;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px;
}
.website-name{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
}


header nav .nav-list {
    display: flex;
    gap: 20px;
}

header nav a {
    color: white;
    text-decoration: none;
    font-size: 1.2rem;
    font-weight: 500;
    cursor: pointer;
}

header nav .nav-login {
    font-size: 1.4rem;
    font-weight: bold;
}

 .nav-open{
         display: flex;
        flex-direction: column;
        background-color: wheat;
        position: absolute;
        top: 50px;
        z-index: 1;
        width: 80%;
        text-align: center;
        padding: 20px;
        border-radius: 5px;
        margin: 10px;

       & .nav-links{
        display: block;
        color: white;
        background-color: black;
        border-radius: 12px;
        
     }
      

       & .nav-links:active{
        background-color: antiquewhite;
        color: #222;
}

     }

     .nav-open.navAnim{
        transform: translateY(-100vh);
        animation: dropDown 0.5s ease-in-out forwards;
     }

     @keyframes dropDown {
        to{
            transform: translateY(0);
        }
     }
     
     .nav-close{
         transform: translateY(0);
        animation: goUp 0.5s ease-in-out forwards;
     }
     
     @keyframes{
         to{
            transform: translateY(-100vh);
        }
     }


/* ================= HERO ================= */

.hero-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 10px;
    padding: 40px;
    color: white;
}

.hero-header {
    font-size: 3rem;
    text-transform: capitalize;
}

.hero-content {
    font-size: 1.3rem;
}

.hero-section button {
    padding: 10px;
    width: max-content;
    border-radius: 12px;
    font-weight: bold;
    margin-top: 50px;
    cursor: pointer;
    border: none;
}

.hero-section .down {
    background: transparent;
    border: 2px solid white;
    border-radius: 50%;
    color: white;
}


/* ================= HERO ANIMATION ================= */

#hero-anim {
    opacity: 0;
    transform: translateY(50px);
    animation: slideUp 1s ease forwards;
}

@keyframes slideUp {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}


/* ================= SHOP NOW ================= */

.shop-now {
    opacity: 0;
    transform: translateY(20px);
    animation: slideUp 1s ease forwards,
               scale-infin 1.2s ease-in-out infinite;
}

@keyframes scale-infin {
    0% { transform: scale(1); }
    50% { transform: scale(1.1); }
    100% { transform: scale(1); }
}

.shop-now:hover {
    background-color: black;
    color: white;
}


/* ================= MAIN ================= */

main {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 50px;
    gap: 50px;
}


/* ================= FEATURED CATEGORIES ================= */

.featured-catergories {
    display: flex;
    flex-direction: column;
    width: 100%;
    text-align: center;
    align-items: center;
}

.featured-catergories h3 {
    font-size: 1.8rem;
    font-weight: bold;
    text-transform: capitalize;
}

.featured-catergories .catergory-cont {
    width: 90%;
    display: flex;
    justify-content: space-between;
    margin-top: 30px;
    gap: 20px;
}

.catergory-cont article {
    height: 450px;
    width: 50%;
}

.catergory-cont img {
    height: 100%;
    width: 100%;
}

.catergory-cont h4 {
    text-align: left;
    font-size: 1.4rem;
    font-weight: bold;
}


.cat-1st-sec {
    width: 40%;
}


/* ================= COLLECTIONS ================= */

.Collections {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 90%;
    text-align: center;
    gap: 30px;
}

.collection-heading {
    font-size: 1.8rem;
    font-weight: bold;
    text-transform: capitalize;
}

.collection-cont {
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-template-rows: repeat(2,1fr);
    gap: 20px;
    height: 550px;
}

.collection-cards {
    background-color: #2222;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.collection-cards .top,
.collection-cards .bottom {
    width: 95%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 5px;
}

.collection-cards .middle {
    height: 60%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.collection-cards .middle img {
    height: 80%;
    width: 60%;
    mix-blend-mode: multiply;
}

.collection-cards button{
        width: max-content;
        padding: 5px;
        border-radius: 15px;
        border: none;
        font-size: 12px;
        font-weight: bold;
    }

.collection-cards:hover {
    transform: scale(1.05);
}



.collection-cards:hover .middle {
    transform: scale(1.2);
    mix-blend-mode: multiply;
}

.Collections .collection-buttom{
    padding: 5px 10px;
    border-radius: 20px;
}

.Collections .collection-buttom:hover{
    background: black;
    color: white;
    transform: scale(1.05);
}


/* ================= RECOMMENDED STYLES ================= */

.recommended-styles {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}

.recommended-styles h3 {
    font-size: 1.8rem;
    font-weight: bold;
    text-align: center;
    text-transform: capitalize;
}

.recommended-styles p {
    margin-top: -15px;
    margin-bottom: 5p x;
    font-size: 0.9rem;
}

.recommended-styles .style-content{
    text-align: center;
}

.style-cont {
    height: 600px;
    width: 90%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-areas:
        "first second"
        "first third"
        "fourth fourth";
    gap: 20px;
}

/* General card styling */
.style-cont .card {
    width: 100%;
    height: 100%;
    padding: 8px;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    border-radius: 7px;
    background-size: cover;
    background-position: center;
}

.style-cont .card p {
    font-size: 1.1rem;
    font-weight: 550;
    color: white;
    margin-left: 5px;
}

.style-cont .card button {
    margin-top: 8px;
    padding: 2px 5px;
    border-radius: 8px;
    border: none;
    margin-left: 5px;
}

/* Grid Areas */

#first {
    grid-area: first;
    background: url("./images/22 Neutral Living Room Ideas for Timeless Elegance.jpg");
    background-size: cover;
    background-position: center;
}

#second {
    grid-area: second;
    background: url("./images/Yaheetech Upholstered Bed Frame with Square Tufted Headboard - Light Grey _ King.jpg");
    background-size: cover;
    background-position: center;
}

#third {
    grid-area: third;
    background: url("./images/Modern Elegant Dining Room Design with Wooden Table & Neutral Chairs _ Luxury Home Décor Inspiration (5).jpg");
    background-size: cover;
    background-position: center;
}

#fourth {
    grid-area: fourth;
    background: url("./images/download.jpg");
    background-size: cover;
    background-position: center;
}


/* ================= SETS APART ================= */

.sets-apart {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 30px;
    margin-top: 30px;
}

.sets-apart h3 {
    font-size: 1.8rem;
    font-weight: bold;
    text-transform: capitalize;
}

.sets-apart > div {
    width: 90%;
    display: flex;
    gap: 10px;
}

.sets-apart article {
    width: 33%;
}

.sets-apart h4 {
    font-size: 1.2rem;
    font-weight: bold;
}

.sets-apart img {
    height: 100%;
    width: 95%;
    border-radius: 90px;
}


/* ================= FAQ ================= */

.FAQ {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 11px;
    text-align: center;
}

.FAQ .header {
    font-size: 1.8rem;
    font-weight: bold;
    text-transform: capitalize;
}

.contact-us{
    padding: 5px 10px;
    border-radius: 15px;
    border: 1px solid black ;
    background-color: black;
    color: white;
}

.contact-us:hover{
    transform: scale(1.05);
}

.FAQ-list {
    width: 90%;
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 30px;
}

.toggle{
    border: none;
    background: transparent;
}
.question {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 17px;
    border: 2px solid black;
    border-radius: 12px;
}

.answer {
    display: none;
}

.answer.open {
    display: block;
    background-color: gray;
    padding: 5px;
}


/* ================= FOOTER ================= */

footer {
    width: 100%;
    background: url("./images/Black Gold Texture Wall Mural _ Luxury Textured Wallpaper _ Modern Accent Wall Decor _ Custom Size Peel & Stick Mural (1).jpg");
    background-size: cover;
    background-position: center;
    padding: 50px;
    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
    gap: 15px;
}

footer h5 {
    font-size: 2rem;
    font-weight: bold;
    color: white;
    text-transform: capitalize;
}

footer p {
    color: white;
}

footer button {
    font-size: 0.7rem;
    padding: 10px 20px;
    border-radius: 20px;
    border: none;
}

footer button:hover{
    background-color: black;
    color: white;
}

/* ================= 320px to 480px ================= */

@media (min-width: 320px) and (max-width: 1024px) {
   main p{
        font-size: 1.05rem;
    }

    .category-content{
         text-align: left;
        font-size: 1.05rem;
    }

    header nav h1 {
    font-size: 1.7rem;
    color: white;
    font-weight: bolder;
}

    .hamburgerIcon{
        background: transparent;
        border: none;
        backdrop-filter: blur(20px);
    }

    .hero-header{
        font-size: 2.5rem;
    }

    .hero-content{
        font-size: 1.05rem;
    }

    .shop-now{
        font-size: 0.75rem;
    }

    .down{
        font-size: 0.5rem;
    }
    
    .nav-list{
        display: none;
    }

    .nav-list a{
        display: none;
    }

    .hero-section{
        margin-top: -40px;
    }

    .price-cont{
        font-size: 1.05rem;
    }
    
    .FAQ-list div{
        min-height: 40px;
    }
    
    .contact-us{
        height: 35px;
        padding: 0px 20px;
        font-weight: bolder;
    }
    
    footer{
        padding: 20px 10px;
    }
    
    footer h5{
        font-size: 1.6rem;
    }
    
    footer button{
        font-size: 0.7rem;
    }
    
    
}

@media(min-width: 1025px) {
    header nav h1 {
    font-size: 1.9rem;
    color: white;
    font-weight: bolder;
}
.catergory-cont p {
    text-align: left;
    font-size: 1.15rem;
}


    .hamburger{
        display: none;
    }

     .hamburger .hamburgerIcon{
        display: none;
    }

    .sets-apart article{
        height: 230px;
    }
}



.cir-icon{
    height: 10px;
    width: 50px;
    color: black;
}

